Skip to main content
List Custom Entitys
curl --request GET \
  --url https://integration.getmateo.com/api/v1/custom_entity \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "random uuid",
    "created_at": "now()",
    "updated_at": "now()",
    "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "custom_entity_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_id": "<string>",
    "data": {}
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Query Parameters

id
string

Entity ID

created_at
string

Creation date

updated_at
string

Latest update

organisation_id
string

Organisation ID

custom_entity_definition_id
string

Custom entity definition ID

contact_id
string

Contact ID

external_id
string

External ID

data
string

Entity data matching the custom entity definition schema

select
string

Filtering Columns

order
string

Ordering. Allowed Fields: created_at, updated_at

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

200 - application/json

OK

id
string<uuid>
default:random uuid

Entity ID

created_at
string<timestamp with time zone>
default:now()

Creation date

updated_at
string<timestamp with time zone>
default:now()

Latest update

organisation_id
string<uuid>

Organisation ID

custom_entity_definition_id
string<uuid>

Custom entity definition ID

contact_id
string<uuid>

Contact ID

external_id
string<text> | null

External ID

data
object

Entity data matching the custom entity definition schema